<?php
namespace MatthiasWeb\RealThumbnailGenerator\overrides\interfce\editor;

interface IOverrideAdapter {
    public function overrideConstruct();

    /**
     * This function must be called in the resize method of the editor. It checks,
     * if the given thumbnail size should be skipped.
     *
     * @see Edit classes resize()/_resize() method
     * @return this::doResizeForThisThumbnail
     */
    public function checkResize($max_w, $max_h, $crop);

    /**
     * Builds an output filename based on current file, and adding proper suffix
     *
     * @access public
     * @param string $dest_path
     * @param string $extension
     * @return string filename
     */
    public function generate_filename($size, $dest_path = null, $extension = null);
}
