<?php
/**
 * @wordpress-plugin
 * Plugin Name: 	WP Real Thumbnail Generator BY ScriptYab.com
 * Plugin URI:		https://codecanyon.net/item/wordpress-real-thumbnail-generator-bulk-regenerate-upload-folder/18937507
 * Description: 	(Bulk) Regenerate thumbnails, delete unused and custom thumbnail folder/filename
 * Author:          ScriptYab.com
 * Author URI:		https://ScriptYab.com
 * Version: 		2.0.5
 * Text Domain:		real-thumbnail-generator
 * Domain Path:		/languages
 */

defined('ABSPATH') or die('No script kiddies please!'); // Avoid direct file request

/**
 * Plugin constants. This file is procedural coding style for initialization of
 * the plugin core and definition of plugin configuration.
 */
if (defined('RTG_PATH')) {
    require_once path_join(dirname(__FILE__), 'inc/others/fallback-already.php');
    return;
}

define('RTG_FILE', __FILE__);
define('RTG_PATH', dirname(RTG_FILE));
define('RTG_SLUG', defined('RTG_LITE') && RTG_LITE ? basename(RTG_PATH) . '-lite' : basename(RTG_PATH));
define('RTG_INC', trailingslashit(path_join(RTG_PATH, 'inc')));
define('RTG_IS_PRO', is_dir(path_join(RTG_INC, 'overrides/pro')) && !(defined('RTG_LITE') && RTG_LITE));
define('RTG_OVERRIDES_INC', trailingslashit(path_join(RTG_INC, 'overrides/' . (RTG_IS_PRO ? 'pro' : 'lite'))));
define('RTG_MIN_PHP', '5.4.0'); // Minimum of PHP 5.3 required for autoloading and namespacing
define('RTG_MIN_WP', '5.0.0'); // Minimum of WordPress 5.0 required
define('RTG_NS', 'MatthiasWeb\\RealThumbnailGenerator');
define('RTG_PRO_VERSION', 'http://matthias-web.com/go/codecanyon/18937507');
define('RTG_DB_PREFIX', 'rtg'); // The table name prefix wp_{prefix}
define('RTG_OPT_PREFIX', 'rtg'); // The option name prefix in wp_options
//define('RTG_TD', ''); This constant is defined in the core class. Use this constant in all your __() methods
//define('RTG_VERSION', ''); This constant is defined in the core class
//define('RTG_DEBUG', true); This constant should be defined in wp-config.php to enable the Base::debug() method

// Check PHP Version and print notice if minimum not reached, otherwise start the plugin core
require_once RTG_INC . 'others/' . (version_compare(phpversion(), RTG_MIN_PHP, '>=') ? 'start.php' : 'phpfallback.php');
